$('#form-comentario').submit(function(e){
    e.preventDefault();
    $.ajax({
        url: url_comentario_post,
        type: "POST",
        data: $('#form-comentario').serialize(),
        beforeSend: function(){
            App.blockUI({
                target: "#tab6",
                message: "Cargando..."
            })
        },
        success: function(data){
            swal("Listo",data.success, "success");
        },
        error: function(){
            swal("Error","No se actualizo la informacion", "error");
        },
        complete: function(){
            App.unblockUI("#tab6");
        }
    })
});
$.ajax({
    url: url_comentario_get+"?q="+id,
    success: function(data){
        var user = data[0];
        try {

            $("input[name='rpta1']").val(user.rpta1);
            $("input[name='rpta2a']").val(user.rpta2a);
            $("input[name='rpta2b']").val(user.rpta2b);
            $("input[name='rpta2c']").val(user.rpta2c);
            $("input[name='rpta2d']").val(user.rpta2d);
            $("input[name='rpta3']").val(user.rpta3);
            $("input[name='rpta4']").val(user.rpta4);
            $("input[name='rpta5d']").val(user.rpta5d);
            $("input[name='rpta6a']").val(user.rpta6a);
            $("input[name='rpta6b']").val(user.rpta6b);
            $("input[name='rpta6c']").val(user.rpta6c);
            $("input[name='rpta6d']").val(user.rpta6d);

            if(user.rpta5a){ $("#rpta5a").prop('checked', true); }
            if(user.rpta5b){ $("#rpta5b").prop('checked', true); }
            if(user.rpta5c){ $("#rpta5c").prop('checked', true); }
            
            if($('#comentarioid').val() == '') {
                $("input[name='comentarioid']").val(user.id_usuario);
            }
        }catch(err){
            App.unblockUI("#tab6");
        }
    },
    beforeSend: function(){
        App.blockUI({
            target: "#tab6",
            message: "Cargando..."
        })
    },
    complete: function(){
        App.unblockUI("#tab6");
    }
})